%def_without v17
%set_verify_elf_method textrel=relaxed

%define oldconflict() \
Obsoletes: libspandsp
Conflicts: libspandsp
Obsoletes: libspandsp3
Conflicts: libspandsp3
Obsoletes: libspandsp4
Conflicts: libspandsp4
%nil

Name: libspandsp5
Summary: DSP library for VoIP, FAX and T.38 support
Version: 0.0.5
Release: alt3.pre4
License: LGPL
Group: System/Libraries

Packager: Denis Smirnov <mithraen@altlinux.ru>

Source: spandsp.tar

# Automatically added by buildreq on Sun Mar 30 2008
BuildRequires: docbook-dtds docbook-style-xsl doxygen gcc-c++ gcc-fortran libXext-devel libXft-devel libaudiofile-devel libfftw-devel libfftw3-devel libfltk-devel libtiff-devel libxml2-devel xsltproc

Obsoletes: spandsp
Obsoletes: libspandsp
Conflicts: libspandsp
Obsoletes: libspandsp3
Conflicts: libspandsp3
Obsoletes: libspandsp4
Conflicts: libspandsp4

%description
%summary

%package devel
Summary: %summary
Group: Development/C
Requires: %name = %version-%release
Provides: libspandsp-devel = %version-%release

%oldconflict devel

%description devel
%summary

%package docs
Summary: %summary
Group: Development/Documentation
BuildArch: noarch

%oldconflict docs

%description docs
%summary

%prep
%setup -c

%build
# if this enabled, it _must_ be enabled in all binaries builded with this lib
%if_with v17
export CCFLAGS=-DENABLE_V17
export CPPFLAGS=-DENABLE_V17
%endif
%autoreconf
%configure --enable-doc --enable-shared --disable-static
NPROCS=1
%make_build

%install
%makeinstall_std

mkdir -p %buildroot%_docdir/%name/api
cp -a doc/api/html/* %buildroot%_docdir/%name/api/
cp -a doc/t38_manual %buildroot%_docdir/%name/t38_manual

%files
%_libdir/libspandsp.so.1
%_libdir/libspandsp.so.1.0.0

%files docs
%_docdir/%name

%files devel
%_libdir/libspandsp.so
%dir %_includedir/spandsp
%_includedir/spandsp.h
%_includedir/spandsp/*.h

%changelog
* Sat Dec 13 2008 Denis Smirnov <mithraen@altlinux.ru> 0.0.5-alt3.pre4
- build %name-docs as noarch
- cleanup specfile

* Fri Aug 22 2008 Denis Smirnov <mithraen@altlinux.ru> 0.0.5-alt2.pre4
- update to 0.0.5-pre4

* Mon Jul 21 2008 Denis Smirnov <mithraen@altlinux.ru> 0.0.5-alt1.20080718
- update to 20080718
- change license to LGPL (upstream)
- change name to libspandsp5

* Tue Apr 15 2008 Denis Smirnov <mithraen@altlinux.ru> 0.0.4-alt1.20080402
- update to 20080402

* Sun Mar 30 2008 Denis Smirnov <mithraen@altlinux.ru> 0.0.4-alt1.20080318
- update to 20080318
- package T.38 docs

* Thu Mar 06 2008 Denis Smirnov <mithraen@altlinux.ru> 0.0.4-alt1.20080110
- update to 20080110

* Thu Dec 27 2007 Denis Smirnov <mithraen@altlinux.ru> 0.0.4-alt1.20071214
- update to 20071214

* Wed Oct 17 2007 Denis Smirnov <mithraen@altlinux.ru> 0.0.4-alt1.20071014
- update to 20071014

* Fri Sep 28 2007 Denis Smirnov <mithraen@altlinux.ru> 0.0.4-alt1.20070802
- update to 20070802

* Sun Jul 08 2007 Denis Smirnov <mithraen@altlinux.ru> 0.0.4-alt1.20070708
- update to 20070708

* Mon Jun 11 2007 Denis Smirnov <mithraen@altlinux.ru> 0.0.4-alt1.20070608
- update to 20070608
- make libspandsp4-devel provides more nice for upgrading

* Mon May 14 2007 Denis Smirnov <mithraen@altlinux.ru> 0.0.4-alt1.20070513
- update to 0.0.4

* Fri Apr 27 2007 Denis Smirnov <mithraen@altlinux.ru> 0.0.3pre28.2007.04.05-alt1
- version update

* Mon Feb 19 2007 Denis Smirnov <mithraen@altlinux.ru> 0.0.3pre27.2007.01.23-alt1
- version update, add symbol versioning

* Thu Jan 11 2007 Denis Smirnov <mithraen@altlinux.ru> 0.0.3pre27-alt1
- version update

* Tue Oct 24 2006 Denis Smirnov <mithraen@altlinux.ru> 0.0.3pre24-alt1
- version update

* Wed Sep 06 2006 Denis Smirnov <mithraen@altlinux.ru> 0.0.3pre22-alt1.svn20060903
- first build for Sisyphus
- T.38 support

